Skip to main content

createOrUpdateSonarIntegration

Create or update SonarCloud or SonarQube integration

createOrUpdateSonarIntegration(
input: CreateOrUpdateSonarIntegrationInput!
): CreateOrUpdateSonarIntegrationPayload

Arguments

createOrUpdateSonarIntegration.input ● CreateOrUpdateSonarIntegrationInput! non-null input

Parameters for CreateOrUpdateSonarIntegration

Type

CreateOrUpdateSonarIntegrationPayload object

Autogenerated return type of CreateOrUpdateSonarIntegration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateSonarIntegration($input: CreateOrUpdateSonarIntegrationInput!) {\n createOrUpdateSonarIntegration(input: $input) { clientMutationId integration { id name assets { __typename } } }\n}","variables":{"input":{"companyId":1,"userToken":"example","integrationType":"CONVISO_AST"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute

Resources

By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.

Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.

Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.